/**
 * 设备运输装箱管理
 */
import request from '../../index'
import type { IListQuery } from '@/views/equipement/resume/encasement/encasement-interface'
const prefix = '/equipment/transportPacking'
// 列表查询
export function getResumeEncasementList(data: IListQuery) {
  return request({
    url: `${prefix}/listPage?offset=${data.offset}&limit=${data.limit}`,
    method: 'post',
    data,
  })
}

// 新建
export function addResumeEncasementList(data: object) {
  return request({
    url: `${prefix}/save`,
    method: 'post',
    data,
  })
}

// 编辑
export function updateResumeEncasementList(data: object) {
  return request({
    url: `${prefix}/update`,
    method: 'post',
    data,
  })
}

// 获取详情信息
export function getInfo(data: { id: string }) {
  return request({
    url: `${prefix}/detail`,
    method: 'post',
    data,
  })
}

// 删除--草稿箱
export function batchDelete(data: { ids: string[] }) {
  return request({
    url: `${prefix}/batchDelete`,
    method: 'post',
    data,
  })
}

